## org.apache.lucene.search.spell
Class TermFreqIterator.TermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.spell.TermFreqIterator.TermFreqIteratorWrapper

All Implemented Interfaces:
  TermFreqIterator, org.apache.lucene.util.BytesRefIterator

Enclosing interface:
  TermFreqIterator

    public static class TermFreqIterator.TermFreqIteratorWrapper

extends Object
implements TermFreqIterator

Wraps a BytesRefIterator as a TermFreqIterator, with all weights set to `1`

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary

Fields inherited from interface org.apache.lucene.util.BytesRefIterator
`EMPTY`

Constructor Summary
`TermFreqIterator.TermFreqIteratorWrapper(org.apache.lucene.util.BytesRefIterator wrapped)`

Method Summary
`Comparator<org.apache.lucene.util.BytesRef>` `getComparator()`
`org.apache.lucene.util.BytesRef` `next()`
`long` `weight()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermFreqIterator.TermFreqIteratorWrapper

    public TermFreqIterator.TermFreqIteratorWrapper(org.apache.lucene.util.BytesRefIterator wrapped)

Method Detail

### weight

    public long weight()

  Specified by:
    `weight` in interface `TermFreqIterator`

### next

    public org.apache.lucene.util.BytesRef next()
                                         throws IOException

  Specified by:
    `next` in interface `org.apache.lucene.util.BytesRefIterator`
  Throws:
    `IOException`

### getComparator

    public Comparator<org.apache.lucene.util.BytesRef> getComparator()

  Specified by:
    `getComparator` in interface `org.apache.lucene.util.BytesRefIterator`